/* ========================= eCAL LICENSE =================================
 *
 * Copyright (C) 2016 - 2025 Continental Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * ========================= eCAL LICENSE =================================
*/

syntax = "proto3";

// import message definitions from different proto files
import "animal.proto";
import "house.proto";

// assign a package name, that will appear as a namespace
package pb.People;

// create the message "Person" with
//   - base types like int32 and string
//   - individual defined enum SType
//   - imported message types
message Person
{
  enum SType
  {
    MALE   = 0;
    FEMALE = 1;
  }

  int32  id               = 1;
  string name             = 2;
  SType  stype            = 3;
  string email            = 4;

  Animal.Dog        dog   = 5;
  Environment.House house = 6;
}
